      program test1

      real a(15), ha(15)
cmf$  layout ha(:host)

      ha = 4.0
c     move ha to nodes
      a = ha
      a = a + 1.0
c     move from nodes to host
      ha = a
c
c     print results
      print '(5f10.5)', ha
c 
      print * , 'results should all be 5 '
      end
